summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJan Chren <dev.rindeal@gmail.com>2016-04-26 21:56:33 +0200
committerIan Delaney <idella4@gentoo.org>2016-04-28 20:47:58 +0800
commite0fb462c3e5a1a6d3939d5f00163d8894e5e9034 (patch)
tree36bd687b35e09a1e722ad6d9f1b35532da6314c7 /sys-process/glances
parentsys-process/at: Removed old. (diff)
downloadgentoo-e0fb462c3e5a1a6d3939d5f00163d8894e5e9034.tar.gz
gentoo-e0fb462c3e5a1a6d3939d5f00163d8894e5e9034.tar.bz2
gentoo-e0fb462c3e5a1a6d3939d5f00163d8894e5e9034.zip
sys-process/glances: bump to 2.6.1
Closes: https://github.com/gentoo/gentoo/pull/1359 Signed-off-by: Ian Delaney <idella4@gentoo.org>
Diffstat (limited to 'sys-process/glances')
-rw-r--r--sys-process/glances/Manifest1
-rw-r--r--sys-process/glances/glances-2.6.1.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/sys-process/glances/Manifest b/sys-process/glances/Manifest
index 31b2147ca1e..74f467f7437 100644
--- a/sys-process/glances/Manifest
+++ b/sys-process/glances/Manifest
@@ -2,3 +2,4 @@ DIST Glances-2.2.1.tar.gz 3458958 SHA256 81d2a9b7132d70b4a156a61a724201bd70ab2ed
DIST Glances-2.3.tar.gz 3918915 SHA256 b56bb17505b72862358b2d31b6b9a7c0f9045105454d1de0ffed416ad2883612 SHA512 e331ea09200c87311c0dd7fb60efda6a0015ebd8773624ed5cb519bbfa37152fb9d2d0d3aa3e7bef3ce617c4ea5dbf05a019bf857126637364119a7f9d70ebfa WHIRLPOOL 99c8ff2e254abf65ed5c86604fc2baaf8ad973cf9c21b536069cf27802930cb6b7a7b4ccf5b454804d061c5203fda68b2ba712350af9ce132f185051e448c8b9
DIST Glances-2.4.2.tar.gz 5497895 SHA256 31f1e4c2e129904a373f3b20d6800472375e415e01161168469ccebb320c9517 SHA512 ada7e2a9766dec54b26fa1fccac3b1abe6b9abcc16a96c6bb30d537370648732a99cff41c6c812908531a4995e118cb3d1127196184f40dee7a01a6a8a85d9b9 WHIRLPOOL 91cd5dfbe891c16bbbe5c6ae17500498c230d36a0795ba134a0384770cae04cbdf08b5236fd56157e438eaff17a7bd9cac3bc42bee7980239faf5c9fc18fc683
DIST Glances-2.5.1.tar.gz 5807072 SHA256 d3db40ce50b7157a94195aa0076d0eadae85dc4f24557e51c3b1a4dbd972359e SHA512 ea099f5db7e73676aaedcd8b416708f2374de57afe0b8292b86f2d0e6295053f0af7bfdb51e3e6cafcb3d7f2b967b788c8d2d1ec806256d2e11b413a7e25ed98 WHIRLPOOL 64a758068436647027a602095194bffdea3cb8b8ac04107b1306f15aa69f23a2c2e9d8b2d222c18434ad5cf26f88e12dd63e4a30b17b3f8665355f0d9d8f292c
+DIST Glances-2.6.1.tar.gz 8233445 SHA256 822f0f37455d46732a059f8e2b49762edb90ad66edd61cdf869a4b3683ac2b59 SHA512 09cc8a8a96b53de14de4c0476273e1f3b9655d2d9b4d3220342851b476073ef30ea2c1ac4a33c240ead7911ec2e193398c1e1032860ace607afd4de277249c14 WHIRLPOOL 8e7742368051c6c2c7c5cdf8f093e1aaee5bca012801ac9edaf9043b7e3a3b508daa3dea199407c1ad5947b7cc001071491afc1336d877dd81a14106816888c0
diff --git a/sys-process/glances/glances-2.6.1.ebuild b/sys-process/glances/glances-2.6.1.ebuild
new file mode 100644
index 00000000000..076ba31aecb
--- /dev/null
+++ b/sys-process/glances/glances-2.6.1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 eutils linux-info
+
+MYPN=Glances
+MYP=${MYPN}-${PV}
+
+DESCRIPTION="CLI curses based monitoring tool"
+HOMEPAGE="https://github.com/nicolargo/glances"
+SRC_URI="mirror://pypi/${MYPN:0:1}/${MYPN}/${MYP}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+# There is another optional extra batinfo, absent from portage
+RDEPEND="${DEPEND}
+ >=dev-python/psutil-2.0.0[${PYTHON_USEDEP}]"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS"
+
+S="${WORKDIR}/${MYP}"
+
+pkg_setup() {
+ linux-info_pkg_setup
+}
+
+python_prepare_all() {
+ # Remove duplicate entries of a prebuilt doc build and
+ # ensure install of the file glances.conf in /etc/${PN}
+ sed -i -r '\|share/doc/glances|,/\),/ {
+ s|.*share/doc/glances.*|("etc/glances", ["conf/glances.conf"]),|p
+ d
+ }' -- 'setup.py' || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ # add an intended file from original data set from setup.py to DOCS
+ local DOCS=( README.rst conf/glances.conf )
+ # setup for pre-built html docs in setup.py
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Action script feature" dev-python/pystache
+ optfeature "Autodiscover mode" dev-python/zeroconf
+ optfeature "Battery monitoring support" dev-python/batinfo
+ optfeature "Docker monitoring support" dev-python/docker-py
+ optfeature "Graphical/chart support" dev-python/matplotlib
+ # https://bitbucket.org/gleb_zhulik/py3sensors
+ # optfeature "Hardware monitoring support" dev-python/py3sensors
+ optfeature "IP plugin" dev-python/netifaces
+ optfeature "InfluxDB export module" dev-python/influxdb
+ optfeature "Hard drive temperature monitoring" app-admin/hddtemp
+ optfeature "Quicklook CPU info" dev-python/py-cpuinfo
+ optfeature "RAID support" dev-python/pymdstat
+ optfeature "RabbitMQ/ActiveMQ export module" dev-python/pika
+ # https://github.com/banjiewen/bernhard
+ # optfeature "Riemann export" dev-python/bernhard
+ optfeature "SNMP support" dev-python/pysnmp
+ optfeature "StatsD export module" dev-python/statsd
+ optfeature "Web server mode" dev-python/bottle
+}